require("script/HelpFunction")

p = {}
p[1] = love.graphics.newImage("res/blue.png")
p[2] = love.graphics.newImage("res/green.png")
p[3] = love.graphics.newImage("res/pink.png")
p[4] = love.graphics.newImage("res/red.png")
p[5] = love.graphics.newImage("res/yellow.png")
function love.load()
    grid = {}
    ball = {}
    
    row = 24
    coll = 16
    sizeBall = 32
    
    score = 0
    
    Create_Ball()
end

function love.update(dt)
    
end

function love.mousepressed(x, y, key)
   if key == "l" then
      MousePositionClick(x, y)
   end 
end

function love.draw()
    Draw_Ball()
    
    love.graphics.print("Score: " .. tostring(score), 0, 550)
end

-- Crea los contenedores para las pelotas.
function Create_Ball()
   for i = 0, row do
        grid[i] = {}
        ball[i] = {}
        for j = 0, coll do
            local index = math.random(1, #p)
            ball[i][j] = {}
            ball[i][j].id = index
            ball[i][j].x = i * sizeBall
            ball[i][j].y = j * sizeBall
            ball[i][j].img = p[index]
            ball[i][j].selected = false
            ball[i][j].visible = true
        end
    end 
end

-- Dibuja las pelotas.
function Draw_Ball()
    for i = 0, row do
        for j = 0, coll do
            if ball[i][j].selected == true then
                love.graphics.rectangle("line", ball[i][j].x, ball[i][j].y, sizeBall, sizeBall)
            end
            if ball[i][j].visible == true then
                love.graphics.draw(ball[i][j].img, ball[i][j].x, ball[i][j].y)
            end
        end
    end
end