local itemCount = 0
local IsAllSelection = false
function MousePositionClick(x, y)
    itemCount = 0
    for i = 0, row do
        for j = 0, coll do
            if x > ball[i][j].x and x < (ball[i][j].x+sizeBall) and y > ball[i][j].y and y < (ball[i][j].y+sizeBall) then
                if IsAllSelection == false then
                   DeselectParentId()
                   SelectParentId(i, j, ball[i][j].id)
                   IsAllSelection = true
                elseif IsAllSelection == true then
                   RemoveParentId(i, j, ball[i][j].id)
                   IsAllSelection = false
                   MousePositionClick(x, y)
                end
            end
        end
    end
    if itemCount <= 1 then
        DeselectParentId()
        IsAllSelection = false
    end
end

-- Function para seleccionar todas las pelotas que tengan el mismo id cerca.
function SelectParentId(i, j, id)
    if i < 0 or j < 0 then return end
    if i > row or j > coll then return end
    if ball[i][j].id == id and ball[i][j].selected == false and ball[i][j].visible == true then
        ball[i][j].selected = true
        SelectParentId(i + 1, j, id)
        SelectParentId(i - 1, j, id)
        SelectParentId(i, j + 1, id)
        SelectParentId(i, j - 1, id)
        
        itemCount = itemCount + 1
    end
end

-- Function para remover todas las pelotas que tengan el mismo id cerca
function RemoveParentId(i, j, id)
    if i < 0 or j < 0 then return end
    if i > row or j > coll then return end
    if ball[i][j].id == id and ball[i][j].selected == true and ball[i][j].visible == true then
        ball[i][j].selected = false
        ball[i][j].visible = false
        RemoveParentId(i + 1, j, id)
        RemoveParentId(i - 1, j, id)
        RemoveParentId(i, j + 1, id)
        RemoveParentId(i, j - 1, id)
        
        itemCount = itemCount + 1
        
        if itemCount > 1 then
           CalculateScore()
        end
        Reorganize()
    end
end

-- Quita el fondo de seleccion de las pelotas.
function DeselectParentId()
    for i = 0, row do
        for j = 0, coll do
            ball[i][j].selected = false
        end
    end
end

function Reorganize()
    --compress_completed = true
    for i = 0, row do
        for j = 0, coll do
            
        end
    end 
end

function mousePoisitionContain()
    
end

-- Function para calcular el score acumulado.
function CalculateScore()
    if itemCount == 4 then
        score = score + 8
    elseif itemCount == 10 then
        score = score + 20
    elseif itemCount == 15 then
        score = score + 30
    elseif itemCount == 50 then
        score = score + 100
    else
        score = score + 1
    end
end